I'm on 2.6.22.6 here, running Ubuntu 7.04.